let uniqStyle = [new ol.style.Style({
    image: new ol.style.Circle({
        fill: new ol.style.Fill({
            color: 'rgba(99, 110, 114,1.0)'
        }),
        stroke: new ol.style.Stroke({
            color: "#ffffff",
            width: 4
        }),
        radius: 5
    })
})];

let legend = { items: [] };

legend.items.push({styles:uniqStyle, label: "Public", geometry: "Point"});
legend.items.push({styles:uniqStyle, label: "Privé", geometry: "Point"});

let layer = new ol.layer.Vector({
        source: new ol.source.Vector({
            url: "apps/entreprises/data/sirene_35.geojson",
            format: new ol.format.GeoJSON()
        }),
        style: function(feature, resolution) {
            return uniqStyle;
        }
});

new CustomLayer("sirene_bretagne", layer, legend);
